DynVoltDYNVOLT · developers

Markets

Markets endpoints of the DynVolt Open API.

Day-ahead electricity prices for the site’s markets and cross-market comparison.

GET /v1/sites/{site_id}/markets

Available markets.

Scope: markets:read · Module: basic_scada

curl "https://api.owner.dynvolt.com/v1/sites/pv-ljubas/markets" \
  -H "Authorization: Bearer $DYNVOLT_API_KEY"

GET /v1/sites/{site_id}/markets/{market_code}/prices

Day-ahead prices for a market (?target_date).

Scope: markets:read · Module: basic_scada

Query parameterTypeRequiredDescription
target_datestringnoDay to return, YYYY-MM-DD (UTC). Defaults to today.
curl "https://api.owner.dynvolt.com/v1/sites/pv-ljubas/markets/MEMO/prices" \
  -H "Authorization: Bearer $DYNVOLT_API_KEY"

GET /v1/sites/{site_id}/markets/compare

Cross-market price comparison (?target_date).

Scope: markets:read · Module: basic_scada

Query parameterTypeRequiredDescription
target_datestringnoDay to return, YYYY-MM-DD (UTC). Defaults to today.
curl "https://api.owner.dynvolt.com/v1/sites/pv-ljubas/markets/compare" \
  -H "Authorization: Bearer $DYNVOLT_API_KEY"